diff --git a/utility/registry_ini.c b/utility/registry_ini.c
index 39bb10ff47..3ab1846ed6 100644
--- a/utility/registry_ini.c
+++ b/utility/registry_ini.c
@@ -3494,11 +3501,11 @@ bool entry_bool_set(struct entry *pentry, bool value)
 **************************************************************************/
 bool entry_float_get(const struct entry *pentry, float *value)
 {
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, NULL, NULL != pentry, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, nullptr, pentry != nullptr, FALSE);
   SECFILE_RETURN_VAL_IF_FAIL(pentry->psection->secfile, pentry->psection,
                              ENTRY_FLOAT == pentry->type, FALSE);
 
-  if (NULL != value) {
+  if (value != nullptr) {
     *value = pentry->floating.value;
   }
 
@@ -3510,7 +3517,7 @@ bool entry_float_get(const struct entry *pentry, float *value)
 **************************************************************************/
 bool entry_float_set(struct entry *pentry, float value)
 {
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, NULL, NULL != pentry, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, nullptr, pentry != nullptr, FALSE);
   SECFILE_RETURN_VAL_IF_FAIL(pentry->psection->secfile, pentry->psection,
                              ENTRY_FLOAT == pentry->type, FALSE);
 
@@ -3520,26 +3527,27 @@ bool entry_float_set(struct entry *pentry, float value)
 }
 
 /**********************************************************************//**
-  Gets an integer value.  Returns TRUE on success.
+  Gets an integer value. Returns TRUE on success.
 **************************************************************************/
 bool entry_int_get(const struct entry *pentry, int *value)
 {
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, NULL, NULL != pentry, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, nullptr, pentry != nullptr, FALSE);
   SECFILE_RETURN_VAL_IF_FAIL(pentry->psection->secfile, pentry->psection,
                              ENTRY_INT == pentry->type, FALSE);
 
-  if (NULL != value) {
+  if (value != nullptr) {
     *value = pentry->integer.value;
   }
+
   return TRUE;
 }
 
 /**********************************************************************//**
-  Sets an integer value.  Returns TRUE on success.
+  Sets an integer value. Returns TRUE on success.
 **************************************************************************/
 bool entry_int_set(struct entry *pentry, int value)
 {
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, NULL, NULL != pentry, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, nullptr, pentry != nullptr, FALSE);
   SECFILE_RETURN_VAL_IF_FAIL(pentry->psection->secfile, pentry->psection,
                              ENTRY_INT == pentry->type, FALSE);
 
@@ -3548,28 +3556,29 @@ bool entry_int_set(struct entry *pentry, int value)
 }
 
 /**********************************************************************//**
-  Gets an string value.  Returns TRUE on success.
+  Gets an string value. Returns TRUE on success.
 **************************************************************************/
 bool entry_str_get(const struct entry *pentry, const char **value)
 {
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, NULL, NULL != pentry, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, nullptr, pentry != nullptr, FALSE);
   SECFILE_RETURN_VAL_IF_FAIL(pentry->psection->secfile, pentry->psection,
                              ENTRY_STR == pentry->type, FALSE);
 
-  if (NULL != value) {
+  if (value != nullptr) {
     *value = pentry->string.value;
   }
+
   return TRUE;
 }
 
 /**********************************************************************//**
-  Sets an string value.  Returns TRUE on success.
+  Sets an string value. Returns TRUE on success.
 **************************************************************************/
 bool entry_str_set(struct entry *pentry, const char *value)
 {
   char *old_val;
 
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, NULL, NULL != pentry, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, nullptr, pentry != nullptr, FALSE);
   SECFILE_RETURN_VAL_IF_FAIL(pentry->psection->secfile, pentry->psection,
                              ENTRY_STR == pentry->type, FALSE);
 
@@ -3578,8 +3587,9 @@ bool entry_str_set(struct entry *pentry, const char *value)
    * the entries from the old vector in the new one. We don't want
    * to lose the entry in between. */
   old_val = pentry->string.value;
-  pentry->string.value = fc_strdup(NULL != value ? value : "");
+  pentry->string.value = fc_strdup(value != nullptr ? value : "");
   free(old_val);
+
   return TRUE;
 }
 
@@ -3588,7 +3598,7 @@ bool entry_str_set(struct entry *pentry, const char *value)
 **************************************************************************/
 bool entry_str_escaped(const struct entry *pentry)
 {
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, NULL, NULL != pentry, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, nullptr, pentry != nullptr, FALSE);
   SECFILE_RETURN_VAL_IF_FAIL(pentry->psection->secfile, pentry->psection,
                              ENTRY_STR == pentry->type, FALSE);
 
@@ -3600,11 +3610,12 @@ bool entry_str_escaped(const struct entry *pentry)
 **************************************************************************/
 bool entry_str_set_escaped(struct entry *pentry, bool escaped)
 {
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, NULL, NULL != pentry, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, nullptr, pentry != nullptr, FALSE);
   SECFILE_RETURN_VAL_IF_FAIL(pentry->psection->secfile, pentry->psection,
                              ENTRY_STR == pentry->type, FALSE);
 
   pentry->string.escaped = escaped;
+
   return TRUE;
 }
 
@@ -3613,7 +3624,7 @@ bool entry_str_set_escaped(struct entry *pentry, bool escaped)
 **************************************************************************/
 bool entry_str_set_gt_marking(struct entry *pentry, bool gt_marking)
 {
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, NULL, NULL != pentry, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, nullptr, pentry != nullptr, FALSE);
   SECFILE_RETURN_VAL_IF_FAIL(pentry->psection->secfile, pentry->psection,
                              ENTRY_STR == pentry->type, FALSE);
 
@@ -3628,7 +3639,7 @@ bool entry_str_set_gt_marking(struct entry *pentry, bool gt_marking)
 static void entry_to_file(const struct entry *pentry, fz_FILE *fs)
 {
   static char buf[8192];
-  char *dot = NULL;
+  char *dot = nullptr;
   int i;
 
   switch (pentry->type) {
@@ -3646,7 +3657,7 @@ static void entry_to_file(const struct entry *pentry, fz_FILE *fs)
         break;
       }
     }
-    if (dot == NULL) {
+    if (dot == nullptr) {
       /* There's no '.' so it would seem like a integer value when loaded.
        * Force it not to look like an integer by adding ".0" */
       fz_fprintf(fs, "%s.0", buf);
diff --git a/utility/registry_ini.h b/utility/registry_ini.h
index 400ce4fcc7..0f24b1bd78 100644
--- a/utility/registry_ini.h
+++ b/utility/registry_ini.h
@@ -77,13 +77,13 @@ struct entry *secfile_insert_bool_full(struct section_file *secfile,
                                        const char *path, ...)
                                        fc__attribute((__format__(__printf__, 5, 6)));
 #define secfile_insert_bool(secfile, value, path, ...)                      \
-  secfile_insert_bool_full(secfile, value, NULL, FALSE,                     \
+  secfile_insert_bool_full(secfile, value, nullptr, FALSE,                  \
                            path, ## __VA_ARGS__)
 #define secfile_insert_bool_comment(secfile, value, comment, path, ...)     \
   secfile_insert_bool_full(secfile, value, comment, FALSE,                  \
                            path, ## __VA_ARGS__)
 #define secfile_replace_bool(secfile, value, path, ...)                     \
-  secfile_insert_bool_full(secfile, value, NULL, TRUE,                      \
+  secfile_insert_bool_full(secfile, value, nullptr, TRUE,                   \
                            path, ## __VA_ARGS__)
 #define secfile_replace_bool_comment(secfile, value, comment, path, ...)    \
   secfile_insert_bool_full(secfile, value, comment, TRUE,                   \
@@ -94,14 +94,14 @@ size_t secfile_insert_bool_vec_full(struct section_file *secfile,
                                     const char *path, ...)
                                     fc__attribute((__format__(__printf__, 6, 7)));
 #define secfile_insert_bool_vec(secfile, values, dim, path, ...)            \
-  secfile_insert_bool_vec_full(secfile, values, dim, NULL, FALSE,           \
+  secfile_insert_bool_vec_full(secfile, values, dim, nullptr, FALSE,        \
                                path, ## __VA_ARGS__)
 #define secfile_insert_bool_vec_comment(secfile, values, dim,               \
                                         comment, path, ...)                 \
   secfile_insert_bool_vec_full(secfile, values, dim, comment, FALSE,        \
                                path, ## __VA_ARGS__)
 #define secfile_replace_bool_vec(secfile, values, dim, path, ...)           \
-  secfile_insert_bool_vec_full(secfile, values, dim, NULL, TRUE,            \
+  secfile_insert_bool_vec_full(secfile, values, dim, nullptr, TRUE,         \
                                path, ## __VA_ARGS__)
 #define secfile_replace_bool_vec_comment(secfile, values, dim,              \
                                          comment, path, ...)                \
@@ -114,13 +114,13 @@ struct entry *secfile_insert_int_full(struct section_file *secfile,
                                       const char *path, ...)
                                       fc__attribute((__format__ (__printf__, 5, 6)));
 #define secfile_insert_int(secfile, value, path, ...)                       \
-  secfile_insert_int_full(secfile, value, NULL, FALSE,                      \
+  secfile_insert_int_full(secfile, value, nullptr, FALSE,                   \
                           path, ## __VA_ARGS__)
 #define secfile_insert_int_comment(secfile, value, comment, path, ...)      \
   secfile_insert_int_full(secfile, value, comment, FALSE,                   \
                           path, ## __VA_ARGS__)
 #define secfile_replace_int(secfile, value, path, ...)                      \
-  secfile_insert_int_full(secfile, value, NULL, TRUE,                       \
+  secfile_insert_int_full(secfile, value, nullptr, TRUE,                    \
                           path, ## __VA_ARGS__)
 #define secfile_replace_int_comment(secfile, value, comment, path, ...)     \
   secfile_insert_int_full(secfile, value, comment, TRUE,                    \
@@ -131,14 +131,14 @@ size_t secfile_insert_int_vec_full(struct section_file *secfile,
                                    const char *path, ...)
                                    fc__attribute((__format__ (__printf__, 6, 7)));
 #define secfile_insert_int_vec(secfile, values, dim, path, ...)             \
-  secfile_insert_int_vec_full(secfile, values, dim, NULL, FALSE,            \
+  secfile_insert_int_vec_full(secfile, values, dim, nullptr, FALSE,         \
                               path, ## __VA_ARGS__)
 #define secfile_insert_int_vec_comment(secfile, values, dim,                \
                                        comment, path, ...)                  \
   secfile_insert_int_vec_full(secfile, values, dim, comment, FALSE,         \
                               path, ## __VA_ARGS__)
 #define secfile_replace_int_vec(secfile, values, dim, path, ...)            \
-  secfile_insert_int_vec_full(secfile, values, dim,  NULL, TRUE,            \
+  secfile_insert_int_vec_full(secfile, values, dim,  nullptr, TRUE,         \
                               path, ## __VA_ARGS__)
 #define secfile_replace_int_vec_comment(secfile, values, dim,               \
                                         comment, path, ...)                 \
@@ -151,7 +151,7 @@ struct entry *secfile_insert_float_full(struct section_file *secfile,
                                         const char *path, ...)
                                         fc__attribute((__format__ (__printf__, 5, 6)));
 #define secfile_insert_float(secfile, value, path, ...)                     \
-  secfile_insert_float_full(secfile, value, NULL, FALSE,                    \
+  secfile_insert_float_full(secfile, value, nullptr, FALSE,                 \
                             path, ## __VA_ARGS__)
 
 struct section *secfile_insert_include(struct section_file *secfile,
@@ -168,10 +168,10 @@ struct entry *secfile_insert_str_full(struct section_file *secfile,
                                       const char *path, ...)
                                       fc__attribute((__format__(__printf__, 7, 8)));
 #define secfile_insert_str(secfile, string, path, ...)                      \
-  secfile_insert_str_full(secfile, string, NULL, FALSE, FALSE, FALSE,       \
+  secfile_insert_str_full(secfile, string, nullptr, FALSE, FALSE, FALSE,    \
                           path, ## __VA_ARGS__)
 #define secfile_insert_str_noescape(secfile, string, path, ...)             \
-  secfile_insert_str_full(secfile, string, NULL, FALSE, TRUE, FALSE,        \
+  secfile_insert_str_full(secfile, string, nullptr, FALSE, TRUE, FALSE,     \
                           path, ## __VA_ARGS__)
 #define secfile_insert_str_comment(secfile, string, comment, path, ...)     \
   secfile_insert_str_full(secfile, string, comment, FALSE, TRUE, FALSE,     \
@@ -181,10 +181,10 @@ struct entry *secfile_insert_str_full(struct section_file *secfile,
   secfile_insert_str_full(secfile, string, comment, FALSE, TRUE, FALSE,     \
                           path, ## __VA_ARGS__)
 #define secfile_replace_str(secfile, string, path, ...)                     \
-  secfile_insert_str_full(secfile, string, NULL, TRUE, FALSE, FALSE,        \
+  secfile_insert_str_full(secfile, string, nullptr, TRUE, FALSE, FALSE,     \
                           path, ## __VA_ARGS__)
 #define secfile_replace_str_noescape(secfile, string, path, ...)            \
-  secfile_insert_str_full(secfile, string, NULL, TRUE, TRUE, FALSE,         \
+  secfile_insert_str_full(secfile, string, nullptr, TRUE, TRUE, FALSE,      \
                           path, ## __VA_ARGS__)
 #define secfile_replace_str_comment(secfile, string, comment, path, ...)    \
   secfile_insert_str_full(secfile, string, comment, TRUE, TRUE, FALSE,      \
@@ -199,10 +199,10 @@ size_t secfile_insert_str_vec_full(struct section_file *secfile,
                                    bool no_escape, const char *path, ...)
                                    fc__attribute((__format__(__printf__, 7, 8)));
 #define secfile_insert_str_vec(secfile, strings, dim, path, ...)            \
-  secfile_insert_str_vec_full(secfile, strings, dim, NULL, FALSE, FALSE,    \
+  secfile_insert_str_vec_full(secfile, strings, dim, nullptr, FALSE, FALSE, \
                               path, ## __VA_ARGS__)
 #define secfile_insert_str_vec_noescape(secfile, strings, dim, path, ...)   \
-  secfile_insert_str_vec_full(secfile, strings, dim, NULL, FALSE, TRUE,     \
+  secfile_insert_str_vec_full(secfile, strings, dim, nullptr, FALSE, TRUE,  \
                               path, ## __VA_ARGS__)
 #define secfile_insert_str_vec_comment(secfile, strings, dim,               \
                                        comment, path, ...)                  \
@@ -213,10 +213,10 @@ size_t secfile_insert_str_vec_full(struct section_file *secfile,
   secfile_insert_str_vec_full(secfile, strings, dim, comment, FALSE, TRUE,  \
                               path, ## __VA_ARGS__)
 #define secfile_replace_str_vec(secfile, strings, dim, path, ...)           \
-  secfile_insert_str_vec_full(secfile, strings, dim, NULL, TRUE, FALSE,     \
+  secfile_insert_str_vec_full(secfile, strings, dim, nullptr, TRUE, FALSE,  \
                               path, ## __VA_ARGS__)
 #define secfile_replace_str_vec_noescape(secfile, strings, dim, path, ...)  \
-  secfile_insert_str_vec_full(secfile, strings, dim, NULL, TRUE, TRUE,      \
+  secfile_insert_str_vec_full(secfile, strings, dim, nullptr, TRUE, TRUE,   \
                               path, ## __VA_ARGS__)
 #define secfile_replace_str_vec_comment(secfile, strings, dim,              \
                                         comment, path, ...)                 \
@@ -264,14 +264,14 @@ struct entry *secfile_insert_bitwise_enum_full(struct section_file *secfile,
                                   comment, allow_replace,                   \
                                   path, ## __VA_ARGS__))
 #define secfile_insert_enum(secfile, enumerator, specenum_type, path, ...)  \
-  secfile_insert_enum_full(secfile, enumerator, specenum_type, NULL, FALSE, \
+  secfile_insert_enum_full(secfile, enumerator, specenum_type, nullptr, FALSE, \
                            path, ## __VA_ARGS__)
 #define secfile_insert_enum_comment(secfile, enumerator, specenum_type,     \
                                     comment, path, ...)                     \
   secfile_insert_enum_full(secfile, enumerator, specenum_type, comment,     \
                            FALSE, path, ## __VA_ARGS__)
 #define secfile_replace_enum(secfile, enumerator, specenum_type, path, ...) \
-  secfile_insert_enum_full(secfile, enumerator, specenum_type, NULL, TRUE,  \
+  secfile_insert_enum_full(secfile, enumerator, specenum_type, nullptr, TRUE, \
                            path, ## __VA_ARGS__)
 #define secfile_replace_enum_comment(secfile, enumerator, specenum_type,    \
                                      comment, path, ...)                    \
@@ -320,7 +320,7 @@ size_t secfile_insert_bitwise_enum_vec_full(struct section_file *secfile,
 #define secfile_insert_enum_vec(secfile, enumerators, dim, specenum_type,   \
                                 path, ...)                                  \
   secfile_insert_enum_vec_full(secfile, enumerators, dim, specenum_type,    \
-                               NULL, FALSE, path, ## __VA_ARGS__)
+                               nullptr, FALSE, path, ## __VA_ARGS__)
 #define secfile_insert_enum_vec_comment(secfile, enumerators, dim,          \
                                         specenum_type, comment, path, ...)  \
   secfile_insert_enum_vec_full(secfile, enumerators, dim, specenum_type,    \
@@ -328,7 +328,7 @@ size_t secfile_insert_bitwise_enum_vec_full(struct section_file *secfile,
 #define secfile_replace_enum_vec(secfile, enumerators, dim, specenum_type,  \
                                  path, ...)                                 \
   secfile_insert_enum_vec_full(secfile, enumerators, dim, specenum_type,    \
-                               NULL, TRUE, path, ## __VA_ARGS__)
+                               nullptr, TRUE, path, ## __VA_ARGS__)
 #define secfile_replace_enum_vec_comment(secfile, enumerators, dim,         \
                                          specenum_type, comment, path, ...) \
   secfile_insert_enum_vec_full(secfile, enumerators, dim, specenum_type,    \
@@ -345,7 +345,7 @@ struct entry *secfile_insert_enum_data_full(struct section_file *secfile,
 #define secfile_insert_enum_data(secfile, value, bitwise, name_fn, data,    \
                                  path, ...)                                 \
   secfile_insert_enum_data_full(secfile, value, bitwise, name_fn, data,     \
-                                NULL, FALSE, path, ## __VA_ARGS__)
+                                nullptr, FALSE, path, ## __VA_ARGS__)
 #define secfile_insert_enum_data_comment(secfile, value, bitwise, name_fn,  \
                                          data, path, ...)                   \
   secfile_insert_enum_data_full(secfile, value, bitwise, name_fn, data,     \
@@ -353,7 +353,7 @@ struct entry *secfile_insert_enum_data_full(struct section_file *secfile,
 #define secfile_replace_enum_data(secfile, value, bitwise, name_fn, data,   \
                                   path, ...)                                \
   secfile_insert_enum_data_full(secfile, value, bitwise, name_fn, data,     \
-                                NULL, TRUE, path, ## __VA_ARGS__)
+                                nullptr, TRUE, path, ## __VA_ARGS__)
 #define secfile_replace_enum_data_comment(secfile, value, bitwise, name_fn, \
                                           data, path, ...)                  \
   secfile_insert_enum_data_full(secfile, value, bitwise, name_fn, data,     \
@@ -370,7 +370,7 @@ size_t secfile_insert_enum_vec_data_full(struct section_file *secfile,
 #define secfile_insert_enum_vec_data(secfile, values, dim, bitwise,         \
                                      name_fn, data, path, ...)              \
   secfile_insert_enum_vec_data_full(secfile, values, dim, bitwise, name_fn, \
-                                    data, NULL, FALSE, path, ## __VA_ARGS__)
+                                    data, nullptr, FALSE, path, ## __VA_ARGS__)
 #define secfile_insert_enum_vec_data_comment(secfile, values, dim, bitwise, \
                                              name_fn, data, path, ...)      \
   secfile_insert_enum_vec_data_full(secfile, values, dim, bitwise, name_fn, \
@@ -379,7 +379,7 @@ size_t secfile_insert_enum_vec_data_full(struct section_file *secfile,
 #define secfile_replace_enum_vec_data(secfile, values, dim, bitwise,        \
                                       name_fn, data, path, ...)             \
   secfile_insert_enum_vec_data_full(secfile, values, dim, bitwise, name_fn, \
-                                    data, NULL, TRUE, path, ## __VA_ARGS__)
+                                    data, nullptr, TRUE, path, ## __VA_ARGS__)
 #define secfile_replace_enum_vec_data_comment(secfile, values, dim,         \
                                               bitwise, name_fn, data, path, \
                                               ...)                          \
-- 
2.43.0

